% VP t(sec)=-6e-10 P(MPa)+1.6e-6
% VS t(sec)=-4e-9 P(MPa)+1.06e-5

clear all
close all
clc

list=dir('*.asc');
for n=1:numel(list)
    listn(n)=str2num(list(n,1).name(1:end-7));
end

[P indx]=sort(listn);

for n=4:numel(list)
    list(indx(n),1).name
    data = importdata(list(indx(n),1).name,'\t', 12);
    ndata=data.data(:,2)/(max(data.data(:,2))-min(data.data(:,2)));
    plot(data.data(:,1),(2*ndata)+n-3);
    hold on
end
axis([0 100e-6 0 numel(list)+1-3]);

[x y]=ginput(numel(list));

y_cal=fliplr(x'-(-6e-10.*fliplr(P)+1.6e-6));
data=[P' y_cal'];
save('VP_up.mat','data');
xlabel('time (s)')